function fillContent(content){
	document.getElementById("dj_content").innerHTML = content.data;
} 

function setCommentCount(count){
	document.getElementById("comment_num").innerHTML = count;
}

function loadImage(id){
	var loading = document.getElementById(id+"_loading");
	if(loading){
		loading.style.display="block";
	}
	var clk = document.getElementById(id+"_clk");
	if(clk){
		clk.style.display="none";
	}
	var imgNode = document.getElementById(id);
	var width = imgNode.style.width.replace(/[^\d\.\-]/g, '');
	var height = imgNode.style.height.replace(/[^\d\.\-]/g, '');
	dj.loadImage(id,width,height);
}

function startLoadImage(){
	var imgNodes = document.getElementsByName("pics");
	for(var i = 0;i < imgNodes.length;i++){
		var id = imgNodes[i].id;
		var loading = document.getElementById(id+"_loading");
		if(loading && loading.style.display != "none"){
			var width = imgNodes[i].style.width.replace(/[^\d\.\-]/g, '');
			var height = imgNodes[i].style.height.replace(/[^\d\.\-]/g, '');
			dj.loadImage(id,width,height);
		}
	}
	var videoNodes = document.getElementsByName("videos");
	for(var i = 0;i<videoNodes.length;i++){
		var videoNode = videoNodes[i];
		if(videoNode.style.display == "block"){
			dj.loadVideoBg(videoNodes[i].id);
		}
	}
}

function setImageResource(id,src){
	var img = document.getElementById(id);
	img.src = src;
	img.style.display="block";
	var loading = document.getElementById(id+"_loading");
	if(loading){
		loading.style.display="none";
	}
	var clk = document.getElementById(id+"_clk");
	if(clk){
		clk.style.display="none";
	}
}

function setVideoImageResource(id,src){
	var img = document.getElementById(id);
	img.src = src;
}

function showBigSize() {
	var textElement = document.getElementById("djtext"); 
	textElement.style.fontSize = "22px";
	textElement.style.lineHeight = "160%";
}
			
function showNormalSize() {
	var textElement = document.getElementById("djtext"); 
	textElement.style.fontSize = "18px";
	textElement.style.lineHeight = "150%";
}
			
function showSmallSize() {
	var textElement = document.getElementById("djtext"); 
	textElement.style.fontSize = "16px";
	textElement.style.lineHeight = "150%";
}

function playHTMLVideo(){
	var playIcon = document.getElementById("playicon");
	playIcon.style.display = "none";
	
	var holder = document.getElementById("holder");
	holder.style.display = "none";
	
	var video = document.getElementById("video");
	var str = video.src;
	var txt = str.replace("auto_play=0","auto_play=1");
	video.src = txt;
}

function iframeVideoLoadFinish(){
	var holder = document.getElementById("holder");
	holder.style.opacity = "0";
}

function changeDownloadStatus(id,status){
	var downloadNodes = document.getElementById(id);
	downloadNodes.innerHTML = status;
}

function changeDownloadButtonBg(id,status){
	var downloadNodes = document.getElementById(id);
	if(status=="下载中" || status=="升级中"){
		downloadNodes.style.background="#aaaaaa";
	}else if(status == "升级"){
	    downloadNodes.style.background="#FF6600"
	}else {
		downloadNodes.style.background="#139cea";
	}
}

function postIconPosition(id, type, url, density){
    var icon = document.getElementById("gameicon_" + id);
    var x = icon.getBoundingClientRect().left;
    var y = icon.getBoundingClientRect().top;
    x = x * density;
    y = y * density;
    dj.postResDetailAnchorEvent(x, y, id, type, url)
}

function loadNewsDetailImgCentenrJS(){
    var img=document.getElementsByTagName("img");
	for(var i=0,j=img.length;i<j;i+=1){
		img[i].parentNode.style.textIndent=0;
		img[i].style.height = "auto";
		img[i].style.width = "auto";
    }
}

/* 加载副标题字体默认为黑色加粗 */
function loadNewsDetailFontColorAndWeight(){
    var content = document.getElementById("djtext");
    var aSpan = content.getElementsByTagName("span") , i = 0 , j = aSpan.length;
    if( j > 0){
        if( j === 1 ){
            aSpan[0].style.color="#000";
            aSpan[0].style.fontWeight="bold";
        }else{
            for(i; i < j; i += 1){
               aSpan[i].style.color="#000";
               aSpan[i].style.fontWeight="bold";
            }
        }
    }
}